#! /usr/bin/ruby 

require 'zlib'

def usage
  STDERR.puts "usage: <Logfile> <latio>"
end

def checkarea(mode,log_x)
  box = if mode == "l" then @team_l else @team_r end
  
  if log_x > -55.0 && log_x <= -25
    box[0] += 1
  elsif log_x > -25 && log_x <= 0.0
    box[1] += 1
  elsif log_x > 0.0 && log_x <= 25
    box[2] += 1
  elsif log_x > 25 && log_x <= 55.0
    box[3] += 1
  end
end

# 引数で与えられたrcgファイルを圧縮されているまま読み込む

@latio = 0

filename = ARGV[0]
@latio = ARGV[1].to_i

if @latio == 0
  usage
  exit 1
end

@lines = []

prev = -1111.to_i
pat1 = /^\(show \d/
pat2 = /^\(show (\d+)/

Zlib::GzipReader.open(filename) {|file|
  while l = file.gets
    if pat1 =~ l
      l.chomp!
#      count = l.scan(/^\(show (\d+)/)
       if prev != count = l.scan(pat2)              # 時計が止まっている場合を除く
         p l
         @lines << l
         #        @lines << column
        prev = count
      end
    end
  end
}

=begin
(show 99 
((b) -32.5965 -9.3738 -0.7056 0.0811) 
((l 1) 0 0x9 -49.0883 -2.862 -0.0004 -0.0321 -28.66 -7 
(v h 60) (s 4000 1 1) (c 0 6 359 0 1 366 1 4 0 0 60)) 
=end

# 座標を探すためのパターン
#((l 2) 2 0x1 -22.0576 13.603 
r = /\(\((\S)\s(\d+)\)\s    # サイドと背番号
     (\d+)\s              # プレーヤータイプ?
     ([\S\d]+)\s         # GKかどうか?
     ([\S\d]+)\s         # x座標（たぶん）
     ([\S\d]+)\s         # y座標（たぶん）
    /x

lcount = 0
stepcount = 0

@team_l = [0,0,0,0]
@team_r = [0,0,0,0]

@lines.each{|l|
  logline = l.scan(r)
  
  logline.shift         #キーパーを除くため
  10.times do |i|
    test = logline.shift
#    p test
    checkarea("l",test[4].to_f)
  end
  
  logline.shift         #キーパーを除くため
  while !logline.empty?
    test = logline.shift
    checkarea("r",test[4].to_f)
  end

  lcount += 1
  
  if lcount == @latio 


  #  puts "Steps #{stepcount} to #{stepcount += @latio}" 
  #  puts "L #{@team_l[0].to_f/@latio}, #{@team_l[1].to_f/@latio}, #{@team_l[2].to_f/@latio}, #{@team_l[3].to_f/@latio}   R #{@team_r[0].to_f/@latio}, #{@team_r[1].to_f/@latio}, #{@team_r[2].to_f/@latio}, #{@team_r[3].to_f/@latio}" 
  #  puts ""

    # {stepcount += @latio}
    puts "#{@team_r[0].to_f/@latio}, #{@team_l[0].to_f/@latio}, #{@team_r[1].to_f/@latio}, #{@team_l[1].to_f/@latio}, #{@team_r[2].to_f/@latio}, #{@team_l[2].to_f/@latio}, #{@team_r[3].to_f/@latio}, #{@team_l[3].to_f/@latio}"
    

    lcount = 0
    @team_l = [0,0,0,0]
    @team_r = [0,0,0,0]
  end
}


 puts "#{@team_r[0].to_f/@latio}, #{@team_l[0].to_f/@latio}, #{@team_r[1].to_f/@latio}, #{@team_l[1].to_f/@latio}, #{@team_r[2].to_f/@latio}, #{@team_l[2].to_f/@latio}, #{@team_r[3].to_f/@latio}, #{@team_l[3].to_f/@latio}"
# puts "Steps #{stepcount} to #{stepcount += @latio}" 
# puts "L #{@team_l[0].to_f/@latio}, #{@team_l[1].to_f/@latio}, #{@team_l[2].to_f/@latio}, #{@team_l[3].to_f/@latio}   R #{@team_r[0].to_f/@latio}, #{@team_r[1].to_f/@latio}, #{@team_r[2].to_f/@latio}, #{@team_r[3].to_f/@latio}" 
# puts ""




