#! /usr/bin/ruby 

require 'zlib'

def getTeamName(line)
  line.scan(/([\W\w]+)\_\d/).pop.pop
end

def indicate(pos,calclatio)
  puts "Ball Possetion Time #{@team_l} #{pos[@team_l]} : #{pos[@team_r]} #{@team_r}" 
  puts "Ball Possetion #{@team_l} #{pos[@team_l].to_f/calclatio} : #{pos[@team_r].to_f/calclatio} #{@team_r}" 
end

pat = /\(kick\s\d+\s/
namepat = /(\d+)\-([\W\w]+)(\_\d+\-vs\-)([\W\w]+)(\_\d+)\.rcl\.gz/

## default value
lmin = 0
lmax = 6000

filename = ARGV[0]
lmin = ARGV[1].to_i 
lmax = ARGV[2].to_i 

latio = lmax - lmin

name = filename.scan(namepat)
@team_l = name[0][1]
@team_r = name[0][3]

matchlines = []

Zlib::GzipReader.open(filename) {|file|
  while l = file.gets
  #  p l
    if pat =~ l
      step = l.split(/\s/)[0].to_i 
      if step > lmin && step < lmax 
        matchlines << l.split(/\s/)
      end
    end
  end
}

p matchlines

curteam = getTeamName(matchlines[0][2])

possetion = Hash.new
possetion.default = 0
tmp = lmin
a = 0

matchlines.each{ |l|
  if curteam != l[2]
    a = l[0].to_i - tmp
    possetion[curteam] += a 
    curteam = getTeamName(l[2])
    tmp = l[0].to_i 
  end
}

puts "Step: #{lmin} to #{lmax}"  
puts "Ball Possetion Time #{@team_l} #{possetion[@team_l]} : #{possetion[@team_r]} #{@team_r}" 
puts "Ball Possetion #{@team_l} #{possetion[@team_l].to_f/latio} : #{possetion[@team_r].to_f/latio} #{@team_r}" 
